.agm-form {
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  z-index: 2;
  padding-top: 100px;
  background: transparent;
  will-change: padding-left;
  padding-left: var(--agm-form-padding-left);
  padding-right: var(--agm-form-padding-right);
}

.agm-main {
  display: block;
  background: white;
  position: relative;
  box-shadow:
    0 1px 3px rgba(0, 0, 0, 0.12),
    0 1px 2px rgba(0, 0, 0, 0.24);
  height: var(--agm-main-height);
}

.agm-header-row {
  display: flex;
  overflow: auto;
  color: #808080;
  font-size: 15px;
  font-weight: 500;
  align-items: center;
  min-height: 50px;
  padding-left: 20px;
  padding-right: 20px;
  scrollbar-gutter: stable;
  border-bottom: solid 1px rgba(0, 0, 0, 0.12);
}

.agm-table {
  top: 100px;
  left: 0px;
  right: 0px;
  bottom: 40px;
  overflow: auto;
  position: absolute;
  padding-bottom: 50px;
  scrollbar-gutter: stable;
}
.agm-row {
  display: flex;
  align-items: center;
  min-height: 40px;
  padding-left: 20px;
  padding-right: 20px;
  border-bottom: solid 1px rgba(0, 0, 0, 0.12);
}

.agm-row.is-selected {
  background: #f2f2f2;
  color: #1a8cff;
}

.agm-cell {
  padding-left: 10px;
  padding-right: 15px;
  font-size: 14px;
  cursor: default;
}

.agm-input {
  outline: none;
  height: 35px;
  flex-grow: 1;
  color: #666666;
  background: transparent;
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: solid 1px;
  border-bottom-color: #e6e6e6;
}

.agm-input:focus {
  outline: none;
  color: #0099e6;
  border-width: 2px;
  border-color: #0099e6;
}

.detail-row {
  display: flex;
  align-items: center;
  min-height: 40px;
}

.detail-row label {
  font-size: 14px;
  line-height: 34px;
  min-width: 120px;
  padding-right: 20px;
  border-bottom: solid 1px;
  color: #999999;
  border-bottom-color: #e6e6e6;
}

.detail-row:has(input:focus) label {
  color: #666666;
}
